Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow.processor
Class AbstractPortalProcessor

    java.lang.Object
      com.bea.portal.appflow.processor.AbstractPortalProcessor

All Implemented Interfaces:
  com.bea.p13n.appflow.webflow.InputProcessor

Direct Known Subclasses:
  AbstractPortalPersonalizationProcessor, AutoLoginProcessor, DepositCookiesProcessor, DispatchUserRegEventProcessor, DisplayNameSpecialCharacterProcessor, EditProcessor, GroupFormProcessor, GroupProcessor, LoginFormProcessor, LoginProcessor, MaximizeProcessor, MinimizeProcessor, PortalRefreshProcessor, PortletEventProcessor, PostLoginProcessor, PostProcessor, PreProcessor, SetPasswordFormProcessor, SpecialCharacterProcessor, SwapCookiesProcessor, UneditProcessor, UnmaximizeProcessor, UnminimizeProcessor, UserProcessor

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public abstract class AbstractPortalProcessor
extends Object
implements com.bea.p13n.appflow.webflow.InputProcessor

An abstract processor (input processor) used to assist framework processors and other user defined processors.

Constructor Summary
`AbstractPortalProcessor()` Deprecated. Default constructor constructs a session insensitive processor
`AbstractPortalProcessor(boolean sessionSensitive)` Deprecated. A constructor used to specify whether the subclass is session sensitive or not.

Method Summary
`protected PortletState` | `getCurrentPortletState(HttpServletRequest request)` Deprecated. Helper method to retrieve the current PortletState object.
`abstract Object` | `process(HttpServletRequest request, HttpServletResponse response, PortalRequest portalRequest, Object requestContext)` Deprecated. Processors extending this class must provide an implementation.
`Object` | `process(HttpServletRequest request, Object requestContext)` Deprecated. The main process event called by webflow.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPortalProcessor

    public AbstractPortalProcessor()

  Deprecated.
  Default constructor constructs a session insensitive processor

### AbstractPortalProcessor

    public AbstractPortalProcessor(boolean sessionSensitive)

  Deprecated.
  A constructor used to specify whether the subclass is session sensitive or not.

Method Detail

### getCurrentPortletState

    protected PortletState getCurrentPortletState(HttpServletRequest request)
                                           throws com.bea.p13n.appflow.exception.ProcessingException

  Deprecated.
  Helper method to retrieve the current PortletState object.

  Throws:
    `com.bea.p13n.appflow.exception.ProcessingException`

### process

    public abstract Object process(HttpServletRequest request,
                                   HttpServletResponse response,
                                   PortalRequest portalRequest,
                                   Object requestContext)
                            throws com.bea.p13n.appflow.exception.ProcessingException

  Deprecated.
  Processors extending this class must provide an implementation. This method will be called if the processor is session insensitive or the session has not timed-out.

  Throws:
    `com.bea.p13n.appflow.exception.ProcessingException`

### process

    public Object process(HttpServletRequest request,
                          Object requestContext)
                   throws com.bea.p13n.appflow.exception.ProcessingException

  Deprecated.
  The main process event called by webflow. Don't override this method.

  Specified by:
    `process` in interface `com.bea.p13n.appflow.webflow.InputProcessor`
  Returns:
    "session.timeout" if the HttpSession has expired. Otherwise default to implementation class.
  Throws:
    `com.bea.p13n.appflow.exception.ProcessingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved